Bug 546650 - Check for already running process is broken
Summary: Check for already running process is broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: backup-light
Version: 12
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-11 15:30 UTC by Paul Coccoli
Modified: 2010-01-12 23:51 UTC (History)
1 user (show)

Fixed In Version: 0.4-4.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-18 09:47:10 UTC
Type: ---


Attachments (Terms of Use)

Description Paul Coccoli 2009-12-11 15:30:27 UTC
Description of problem:
The check for an already running process always succeeds, because it detects itself.  So the script always exits with value 1, and never does anything useful, as far as I can tell.

Version-Release number of selected component (if applicable):
0.4-2.fc10

How reproducible:
Every time

Steps to Reproduce:
1. backup-light
2.
3.
  
Actual results:
Error: Backup-light is already running, running it again would be pointless

Expected results:
Preforms the backup with all default settings.

Additional info:
Probably caused by this change:
* Sat Mar 21 2009 Fabian Affolter <fabian@bernewireless.net> - 0.4-2
- Changed script name http://code.google.com/p/backup-light/issues/detail?id=3

Comment 1 Bug Zapper 2009-12-18 09:47:10 UTC
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 2 Paul Coccoli 2009-12-30 04:27:42 UTC
Still broken on Fedora 12.  This script does absolutely nothing.

Comment 3 Fedora Update System 2010-01-02 17:06:08 UTC
backup-light-0.4-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/backup-light-0.4-4.fc11

Comment 4 Fedora Update System 2010-01-02 17:06:23 UTC
backup-light-0.4-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/backup-light-0.4-4.fc12

Comment 5 Fabian Affolter 2010-01-02 17:07:54 UTC
In the current build this part of the functionality was comment out. 

Upstream bug report
http://code.google.com/p/backup-light/issues/detail?id=4

Comment 6 Fedora Update System 2010-01-12 23:35:35 UTC
backup-light-0.4-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-01-12 23:51:26 UTC
backup-light-0.4-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.